Skip to content

Update Autopay plan

Request

Security
oauth2(Required scopes: autopay:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Bodyapplication/jsonrequired
agreementDocumentIdstring

The document ID for the signed autopay agreement. Required unless the payment instrument is external.

caseIdstring

An identifier for an existing case.

paymentInstrumentIdstringrequired

The payment instrument ID with which this autopay plan will be charged through.

sendNoticeboolean

When set to false, the system will NOT send a autopayPaymentMethodUpdated notice to the borrower.

Default:true
PUT
/people/{personId}/loans/{loanId}/autopay
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/autopay' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "agreementDocumentId": "string",
    "caseId": "string",
    "paymentInstrumentId": "string",
    "sendNotice": true
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataInstallment (object) or Line Of Credit (object)(DeltaTerms)
Any of:

The delta change in interest, fees, calendar days, and number of due dates. Only relevant for installment loans. For non installment loans, deltaTerms fields will be null.

Response
{ "message": "string", "status": 0, "data": { "isLocked": true, "agreementDocumentId": "string", "cancelReason": "invalidPaymentMethod", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "paymentFrequency": "weekly", "paymentInstrumentId": "string", "schedule": [], "specificDays": [], "deltaTerms": {} } }